%global eclipse_base     %{_libdir}/eclipse
%global eclipse_dropin   %{_datadir}/eclipse/dropins
%global gittag Root_R1_6_maintenance

Name:      eclipse-emf-query
Version:   1.6.0
Release:   6%{?dist}
Summary:   Specify and execute queries against EMF models
Group:     System Environment/Libraries
License:   EPL
URL:       http://www.eclipse.org/modeling/emf/?project=query

Source0:   http://git.eclipse.org/c/emf-query/org.eclipse.emf.query.git/snapshot/org.eclipse.emf.query-%{gittag}.tar.gz

# patch to accomodate ICU4J changing version number schemes
Patch0:    fix-icu-version.patch

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    jpackage-utils
BuildRequires:    eclipse-pde >= 1:4.2.0
BuildRequires:    eclipse-emf >= 2.8.0
BuildRequires:    eclipse-mdt-ocl >= 4.0.0
BuildRequires:    eclipse-mdt-uml2 >= 4.0.0
Requires:         jpackage-utils
Requires:         eclipse-platform >= 1:4.2.0
Requires:         eclipse-emf >= 2.8.0
Requires:         eclipse-mdt-ocl >= 4.0.0
Requires:         eclipse-mdt-uml2 >= 4.0.0

%description
The query component facilitates the process of search and retrieval of model
elements of interest in a flexible yet controlled and structured manner.
Provides API support for the basic EObject based Condition objects that are
used to formulate queries for EMF models.

%prep
%setup -q -n org.eclipse.emf.query-%{gittag}
%patch0 -p0 -b .orig

%build
# build emf-query features
eclipse-pdebuild -f org.eclipse.emf.query \
  -d "emf mdt-ocl mdt-uml2"
eclipse-pdebuild -f org.eclipse.emf.query.ocl \
  -d "emf mdt-ocl mdt-uml2"
eclipse-pdebuild -f org.eclipse.emf.query.doc \
  -d "emf mdt-ocl mdt-uml2"

%install
install -d -m 755 %{buildroot}%{eclipse_dropin}
unzip -q -n -d %{buildroot}%{eclipse_dropin}/emf-query build/rpmBuild/org.eclipse.emf.query.zip
unzip -q -n -d %{buildroot}%{eclipse_dropin}/emf-query build/rpmBuild/org.eclipse.emf.query.ocl.zip
unzip -q -n -d %{buildroot}%{eclipse_dropin}/emf-query build/rpmBuild/org.eclipse.emf.query.doc.zip

%files
%{eclipse_dropin}/emf-query
%doc org.eclipse.emf.query-feature/rootfiles/*

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.6.0-5
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr 21 2013 Mat Booth <fedora@matbooth.co.uk> - 1.6.0-3
- Fix FTBFS rhbz #913950.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 21 2012 Mat Booth <fedora@matbooth.co.uk> - 1.6.0-1
- Update to latest version.
- Adapt to newer packaging guidelines.
- Fix FTBFS bug 843211.
- Include emf from new location during pdebuild.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 24 2010 Mat Booth <fedora@matbooth.co.uk> 1.4.0-1
- Update to Helios release.
- Fixes RHBZ #631230.

* Sun Nov 22 2009 Mat Booth <fedora@matbooth.co.uk> 1.3.0-2
- Don't pretty-print the package description.
- Remove spurious executable permissions from docs.

* Fri Nov 13 2009 Mat Booth <fedora@matbooth.co.uk> 1.3.0-1
- New query spec file based on eclipse-gef.
